> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post funnelsfunnelcreate



## OpenAPI

````yaml /api-reference/funnels/openapi.json post /funnels/funnel/create
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/funnel/create:
    post:
      operationId: createFunnel
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFunnelParams'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateFunnelParams:
      type: object
      properties:
        locationId:
          type: string
        name:
          type: string
        type:
          type: string
        parentId:
          type: string
        isStoreActive:
          type: boolean
        webinarProperties:
          $ref: '#/components/schemas/WebinarPropertiesParams'
        sourceType:
          type: string
          enum:
            - snapshot
            - clone
            - snapshot_template
            - scratch
            - ai
      required:
        - locationId
        - name
        - type
        - parentId
        - isStoreActive
        - webinarProperties
    WebinarPropertiesParams:
      type: object
      properties:
        templateName:
          type: string
        formId:
          type: string
        formName:
          type: string
        videoId:
          type: string
        videoUrl:
          type: string
        videoName:
          type: string
        webinarType:
          type: string
        timezone:
          type: string
        endDate:
          type: string
        endTime:
          type: string
        webinarEndTime:
          type: string
        recurring:
          type: boolean
        recurringSettings:
          type: object
      required:
        - templateName
        - formId
        - formName
        - videoId
        - videoUrl
        - videoName
        - webinarType
        - timezone
        - endDate
        - endTime
        - webinarEndTime
        - recurring
        - recurringSettings

````